export interface Logging {
    log: (category: LogCategory, message: string, type?: Logtype) => void;
    CATEGORIES: { [key: string]: LogCategory };
}
export type LogCategory = "SYSTEM" | "AUTH" | 'NOTIFICATIONS' | 'LANDMARKS' | 'COMMENTS' | 'PROFILE';
export type Logtype = "error" | "warning" | "info"

export const LOGGING = {
    log: (category: LogCategory, type: Logtype, message: string) => {
        const logMethod = type === "error" ? console.error : type === "warning" ? console.warn : console.log;
        logMethod(`[${category}]: ${message}`)
    },
}